Loading...
Searching...
No Matches
template_inspection.hpp File Reference

Provides type traits for working with templates. More...

`#include <concepts>`
`#include <seqan3/utility/type_traits/detail/transformation_trait_or.hpp>`
Include dependency graph for template_inspection.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.

## Variables

template<typename source_t, template< auto... > typename target_template>
constexpr bool | is_value_specialisation_of_v = is_value_specialisation_of<source_t, target_template>::value
| Helper variable template for seqan3::detail::is_value_specialisation_of (unary_type_trait shortcut).

## Detailed Description

Provides type traits for working with templates.

Author
  Hannes Hauswedell <hannes.hauswedell AT fu-berlin.de>
  Lydia Buntrock <lydia.buntrock AT fu-berlin.de>

## Variable Documentation

## is_value_specialisation_of_v

template<typename source_t, template< auto... > typename target_template>

bool is_value_specialisation_of_v = is_value_specialisation_of<source_t, target_template>::value

inline constexpr

Helper variable template for seqan3::detail::is_value_specialisation_of (unary_type_trait shortcut).

Template Parameters

  source_type | The source type.
  target_template | The type template you wish to compare against (must take only types as template arguments).

Hide me